---
- hosts: all
  tasks:
   - name: Copy .bashrc
     copy:
       src: ~/.bashrc
       dest: ~/.bashrc

   - name: Copy .bazelrc
     copy:
       src: ~/.bazelrc
       dest: ~/.bazelrc

   - name: Copy .gitconfig
     copy:
       src: ~/.gitconfig
       dest: ~/.gitconfig

   - name: Clone the driving repo and checkout dev/fw
     git:
       repo: 'git@git.zooxlabs.com:zooxco/driving'
       dest: ~/zoox/driving
       version: develop/firmware
       accept_hostkey: yes

   - name: Set up default venv
     pip:
       requirements: '~/zoox/driving/firmware/validation/emu/requirements.txt'
       virtualenv: ~/venv
       virtualenv_python: python3.6
